Get All Groups
curl --request GET \
--url https://api.vomo.org/v1/groups \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/groups");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/groups';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"id": 601,
"name": "Saturday Morning Crew",
"description": "Volunteers who serve on Saturday mornings.",
"parent_id": null,
"has_subgroups": false,
"created_at": "2025-11-01T09:00:00+00:00",
"updated_at": "2025-11-01T09:00:00+00:00"
},
{
"id": 602,
"name": "Food Pantry Team",
"description": "Core team for food pantry operations.",
"parent_id": null,
"has_subgroups": true,
"created_at": "2025-11-02T10:00:00+00:00",
"updated_at": "2025-11-10T08:00:00+00:00"
}
],
"links": {
"first": "https://api.vomo.org/v1/groups?page=1",
"last": "https://api.vomo.org/v1/groups?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"to": 8,
"path": "https://api.vomo.org/v1/groups",
"per_page": 15,
"total": 8
}
}{
"error": {
"code": 401,
"message": "No API key provided"
}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Groups
Get All Groups
Returns a paginated list of all groups for your organization. Use this endpoint to sync group records into an external system or to find groups by name or parent. Filter by parent_id to retrieve only direct child groups of a specific group, or use the date filters to retrieve only recently created or modified groups.
GET
https://api.vomo.org/v1
/
groups
Get All Groups
curl --request GET \
--url https://api.vomo.org/v1/groups \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/groups");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/groups';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"id": 601,
"name": "Saturday Morning Crew",
"description": "Volunteers who serve on Saturday mornings.",
"parent_id": null,
"has_subgroups": false,
"created_at": "2025-11-01T09:00:00+00:00",
"updated_at": "2025-11-01T09:00:00+00:00"
},
{
"id": 602,
"name": "Food Pantry Team",
"description": "Core team for food pantry operations.",
"parent_id": null,
"has_subgroups": true,
"created_at": "2025-11-02T10:00:00+00:00",
"updated_at": "2025-11-10T08:00:00+00:00"
}
],
"links": {
"first": "https://api.vomo.org/v1/groups?page=1",
"last": "https://api.vomo.org/v1/groups?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"to": 8,
"path": "https://api.vomo.org/v1/groups",
"per_page": 15,
"total": 8
}
}{
"error": {
"code": 401,
"message": "No API key provided"
}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Authorizations
Query Parameters
Response
Returns the paginated list of groups for your organization. The response includes pagination links and meta fields to navigate additional pages.
Was this page helpful?